using System;
using System.Windows.Forms;
using System.Drawing;

class SimpleShapeMaker : Form
{
    // The constructor method for our class
    public SimpleShapeMaker()
    {
        // Set the form background to white

        this.BackColor = Color.White;

        // Add a button, hooked up to an event handler, to the form

        Button button1 = new Button();
        button1.Text = "click me";
        button1.Location = new Point(110, 10);
        button1.BackColor = Color.SteelBlue;
        button1.Click += new System.EventHandler(button1_Click);
        this.Controls.Add(button1);
    }

    // An eventhandler that will run when the button is clicked
    void button1_Click(object o, System.EventArgs e)
    {
        // Execute a specific method we wrote
        DrawSomeShapes();
    }

    // A method that draws a few shapes on the form surface
    void DrawSomeShapes()
    {
        //  Prepare a drawing surface for this form
        Graphics g = this.CreateGraphics();

        // Prepare a pen that draws red and with a width of 3 
        Pen redPen = new Pen(Color.Red, 3);

        // Use the pen to draw a straight line, a rectangle and an oval
        g.DrawLine(redPen, 140, 170, 140, 230);
        g.DrawRectangle(redPen, 50, 60, 50, 60);
        g.DrawEllipse(redPen, 150, 100, 100, 60);

        // Clean up
        g.Dispose();
    }

    static void Main()
    {
        // Start a new instance of a forms application, using our class above
        Application.Run( new SimpleShapeMaker() );
    }
}