using System.Windows.Forms;
using System.Data;
using System.Data.SqlClient;    // Namespace for working with SQL Server data

class SimpleDataAccess : Form
{
    public SimpleDataAccess()
    {
        // Set the window title
        this.Text = "A simple databasing program";

        // Determine the physical path to the PLANETS sample database
        string dbLocation = 
            System.IO.Path.GetFullPath("../../../database/SqlServer/planets.mdf");

        // Add a label that fills the form

        Label label1 = new Label();
        label1.Dock = DockStyle.Fill;
        this.Controls.Add(label1);

        // Connect to the SQL Server database

        SqlConnection connection1 = new SqlConnection
        (
            @"data source=.\SQLEXPRESS;" +
            "User Instance=true;Integrated Security=SSPI;AttachDBFilename="
            + @dbLocation
        );
        connection1.Open();

        // Talk to the database - ask it for data on planets

        string sql = "SELECT * FROM PLANET";
        SqlCommand command1 = new SqlCommand(sql, connection1);
        SqlDataReader dataReader1 = command1.ExecuteReader();

        // Loop through the records returned and add each planet name to the label

        while (dataReader1.Read())
        {
            label1.Text = label1.Text + dataReader1["PlanetName"] + "\n";
        }

        // Clean up

        dataReader1.Close();
        connection1.Close();
    }

    static void Main()
    {
        // Start a new instance of a forms application, using our class above
        Application.Run(new SimpleDataAccess());
    }
}