using System.Windows.Forms;
using System.Data;
using System.Data.OleDb;    // Namespace for working with GENERAL databases

class SimpleDataAccess : Form
{
    public SimpleDataAccess()
    {
        // Set the window title
        this.Text = "A simple databasing program";

        // Add a label that fills the form

        Label label1 = new Label();
        label1.Dock = DockStyle.Fill;
        this.Controls.Add(label1);

        // Connect to the Microsoft Access database

        OleDbConnection connection1 = new OleDbConnection(@"Provider=Microsoft.Jet.OLEDB.4.0; Data Source=../../../Database/Access/planets.mdb;");
        connection1.Open();

        // Talk to the database - ask it for data on planets

        string sql = "SELECT * FROM PLANET";
        OleDbCommand command1 = new OleDbCommand(sql, connection1);
        OleDbDataReader dataReader1 = command1.ExecuteReader();

        // Loop through the records returned and add each planet name to the label

        while (dataReader1.Read())
        {
            label1.Text = label1.Text + dataReader1["PlanetName"] + "\n";
        }

        // Clean up

        dataReader1.Close();
        connection1.Close();
    }

    static void Main()
    {
        // Start a new instance of a forms application, using our class above
        Application.Run(new SimpleDataAccess());
    }
}