using System.Windows.Forms;
using System.Data;
using System.Data.SqlClient;    // Namespace for working with SQL Server databases

class DataInGrid : Form
{
    public DataInGrid()
    {
        // Set the window title
        this.Text = "One-Way Database Grid Binding";

        // Determine the physical path to the PLANETS sample database
        string dbLocation = 
            System.IO.Path.GetFullPath("../../../database/SqlServer/planets.mdf");

        // Add a DataGridView to the form

        DataGridView DataGridView1 = new DataGridView();
        DataGridView1.Width = this.Width;
        DataGridView1.Height = 250;
        DataGridView1.DataMember = "Table";
        DataGridView1.Dock = DockStyle.Fill;
        this.Controls.Add(DataGridView1);

        // Connect to the SQL Server database
        
        SqlConnection connection1 = new SqlConnection
        (
            @"data source=.\SQLEXPRESS;" +
            "User Instance=true;Integrated Security=SSPI;AttachDBFilename="
            + @dbLocation
        );

        connection1.Open();

        // The DataSet will hold the data in memory (in structures called DataTables)
        DataSet dataSet1 = new DataSet();

        // The DataAdapter will be the bridge between the database and the dataset
        SqlDataAdapter sqlDataAdapter1 = new SqlDataAdapter();

        // Tell the DataAdapter what we want it to fetch, and where from
        sqlDataAdapter1.SelectCommand = 
            new SqlCommand("SELECT * FROM PLANET", connection1);

        // Fill the in-memory DataSet with the data now
        sqlDataAdapter1.Fill(dataSet1);

        // Hook the DataGridView (the visual grid) to the in-memory data 
        DataGridView1.DataSource = dataSet1;

        // Close the database connection
        connection1.Close();
    }


    static void Main()
    {
        // Start a new instance of a forms application, using our class above
        Application.Run(new DataInGrid());
    }
}