using System.Windows.Forms;
using System.Data;
using System.Data.OleDb;    // Namespace for working with GENERAL databases

class DataInGrid : Form
{
    public DataInGrid()
    {
        // Set the window title
        this.Text = "One-Way Database Grid Binding";
        
        // Add a DataGridView to the form

        DataGridView DataGridView1 = new DataGridView();
        DataGridView1.Width = this.Width;
        DataGridView1.Height = 250;
        DataGridView1.DataMember = "Table";
        DataGridView1.Dock = DockStyle.Fill;
        this.Controls.Add(DataGridView1);

        // Connect to the Microsoft Access database
        OleDbConnection connection1 = new OleDbConnection( 
                "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=../../../database/Access/planets.mdb;");

        connection1.Open();

        // The DataSet will hold the data in memory (in structures called DataTables)
        DataSet dataSet1 = new DataSet();

        // The DataAdapter will be the bridge between the database and the dataset
        OleDbDataAdapter oleDbDataAdapter1 = new OleDbDataAdapter();

        // Tell the DataAdapter what we want it to fetch, and where from
        oleDbDataAdapter1.SelectCommand = new OleDbCommand("SELECT * FROM PLANET", connection1);

        // Fill the in-memory DataSet with the data now
        oleDbDataAdapter1.Fill(dataSet1);

        // Hook the DataGridView (the visual grid) to the in-memory data 
        DataGridView1.DataSource = dataSet1;

        // Close the database connection
        connection1.Close();
    }


    static void Main()
    {
        // Start a new instance of a forms application, using our class above
        Application.Run( new DataInGrid() );
    }
}