using System;
using System.Windows.Forms;
using System.Drawing;

class PictureFlipper : Form
{
    Button button1;
    Bitmap image1;
    PictureBox pictureBox1;

    // The constructor method for our class
    public PictureFlipper()
    {
        // Set the window title and size

        this.Text = "Picture Flipper";
        this.Size = new Size(302, 240);

        // Add a button to the form

        button1 = new Button();
        button1.Text = "Flip";
        button1.Location = new Point(100, 150);
        button1.Click += new System.EventHandler(button1_Click);
        this.Controls.Add(button1);

        // Add a picture box to the form

        pictureBox1 = new PictureBox();
        pictureBox1.SizeMode = PictureBoxSizeMode.StretchImage;
        pictureBox1.BorderStyle = BorderStyle.Fixed3D;
        pictureBox1.ClientSize = new Size(300, 196);

        // Add an image to the picture box

        image1 = new Bitmap(@"../../images/elephants.jpg");
        pictureBox1.Image = (Image)image1;

        // Add the picture box (with its image) to the form

        this.Controls.Add(pictureBox1);

    }

    static void Main()
    {
        // Start a new instance of a forms application, using our class above
        Application.Run(new PictureFlipper());
    }

    // An eventhandler that will run when the button is clicked
    void button1_Click(object sender, EventArgs e)
    {
        // Flip the image along the X axis (horizontally)
        image1.RotateFlip(RotateFlipType.RotateNoneFlipX);

        // Re-insert the image into the picture box
        pictureBox1.Image = (Image)image1;

        // Update the window title
        this.Text = "Picture was flipped";
    }
}